Subject: Re: [PATCH v7 4/4] libgit: add higher-level libgit crate

From: Junio C Hamano <[email-masked]>
Date: Tue, 28 Jan 2025 13:17:45 -0800

Josh Steadmon <[email-masked]> writes:

>> I somehow would have expected this part of the patch to do
>> 
>> 	libgit-sys libgit-rs:
>> 		$(QUIET)( \
>> 			cd contrib/$@ && cargo build \
>> 		)
>> 
>> but the above longhand is fine.
>
> Fixed since I'm sending out a V8 for Phillip's feedback anyway. Thanks.

It would be a "fix" only if we anticipate that we will add in the
future more Rust things to contrib/ and all of them would follow the
same pattern.  Otherwise, it does not really matter, and as I said,
what you posted is just fine.

Thanks.